from .models import Evenement, Plat
from django.contrib import admin

class PlatInline(admin.TabularInline):
    model = Plat
    extra = 1

class EvenementAdmin(admin.ModelAdmin):
    fieldsets = (
        ("Description", {
            "fields": (
                "nom_evenement",
            ),
        }),
        ("Détail", {
            "fields": (
                "date_evenement",
            ),
            "classes": (
                "collapse",
            )
        })
    )
    inlines = (PlatInline,)
    list_display = ("nom_evenement", "date_evenement", "futur")
    
# Register your models here.
admin.site.register(Evenement, EvenementAdmin)