from django.db import models
from django.utils import timezone
from django.contrib import admin

class Evenement(models.Model):
    nom_evenement = models.CharField("évènement", max_length=200)
    date_evenement = models.DateTimeField("date de l'évènement", default=timezone.now)

    def __str__(self):
        return self.nom_evenement
    
    @admin.display(
        boolean=True,
        ordering="date_evenement",
        description="à venir"
    )
    def futur(self):
        return self.date_evenement > timezone.now()

class Plat(models.Model):
    evenement = models.ForeignKey(Evenement, verbose_name="évènement", on_delete=models.CASCADE)
    nom_plat = models.CharField("nom du plat", max_length=200)
    prix_plat = models.FloatField("prix", default=0)
    commandes = models.IntegerField("quantité commandées", default=0)

    def __str__(self):
        return self.nom_plat
    
    def prix_total(self):
        return self.commandes * self.prix_plat