from django.http.response import HttpResponseRedirect
from django.shortcuts import get_object_or_404, render
from django.urls import reverse
from django.utils import timezone
from .models import Evenement, Plat

# Create your views here.
def index(request):
    evenements_futurs = Evenement.objects.filter(date_evenement__gte=timezone.now())
    contexte = {
        "evenements_futurs": evenements_futurs
    }
    return render(request, "repas/index.html", contexte)

def detail_evenement(request, id_evenement):
    evenement = get_object_or_404(Evenement, pk=id_evenement)
    return render(request, 'repas/evenement.html', {"evenement":evenement})

def commande(request, id_evenement):
    evenement = get_object_or_404(Evenement, pk=id_evenement)
    for plat in evenement.plat_set.all():
        nombre_plat = request.POST[plat.nom_plat]
        if nombre_plat == "": nombre_plat = 0
        plat.commandes += int(nombre_plat)
        plat.save()
    return HttpResponseRedirect(reverse('repas:commandes', args=(id_evenement,)))

def commandes(request, id_evenement):
    evenement = get_object_or_404(Evenement, pk=id_evenement)
    return render(request, 'repas/commandes.html', {'evenement':evenement})